import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询项目列表
export function listProject(query) {
  return request({
    url: '/api/project/list',
    method: 'get',
    params: query
  })
}

// 查询用户详细
export function getUser(userId) {
  return request({
    url: '/system/user/' + parseStrEmpty(userId),
    method: 'get'
  })
}

// 新增项目
export function addProject(data) {
  return request({
    url: '/api/project/add',
    method: 'post',
    data: data
  })
}

// 修改项目
export function updateProject(data) {
  return request({
    url: '/api/project/update',
    method: 'put',
    data: data
  })
}

// 项目成员列表
export function listStaff(query) {
  return request({
    url: '/api/project/listStaff',
    method: 'get',
    params: query
  })
}

// 新增项目成员
export function addStaff(data) {
  return request({
    url: '/api/project/addStaff',
    method: 'post',
    data: data
  })
}

// 删除项目成员
export function deleteStaff(data) {
  return request({
    url: '/api/project/deleteStaff',
    method: 'post',
    data: data
  })
}